# Uses of Class
org.eclipse.birt.report.model.api.RowHandle

Packages that use RowHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.elements.table

## Uses of RowHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return RowHandle
Modifier and Type
Method
Description
`protected RowHandle`
GridColumnBandAdapter.`getRow(int slotId, int groupId, int rowNumber)`
`protected RowHandle`
TableColumnBandAdapter.`getRow(int slotId, int groupId, int rowNumber)`
Methods in org.eclipse.birt.report.model.api with parameters of type RowHandle
Modifier and Type
Method
Description
`protected int`
RowBandAdapter.`computeRowCount(RowHandle rowHandle)`
Computes column count in one row.

## Uses of RowHandle in org.eclipse.birt.report.model.api.elements.table

Methods in org.eclipse.birt.report.model.api.elements.table that return RowHandle
Modifier and Type
Method
Description
`RowHandle`
LayoutRow.`getRow()`
Returns the corresponding handle of the row element.
`RowHandle`
LayoutTable.`getRow(int rowPosn)`
Return the row handle with the given row position.